Loading...
Searching...
No Matches
restinio::router::pcre2_details::match_results_t< Traits >::matched_item_descriptor_t Struct Referencefinal

`#include <pcre2_regex_engine.hpp>`

## Public Member Functions

| matched_item_descriptor_t (PCRE2_SIZE begin, PCRE2_SIZE end)

## Public Attributes

PCRE2_SIZE | m_begin
PCRE2_SIZE | m_end

## Detailed Description

template<typename Traits>
struct restinio::router::pcre2_details::match_results_t< Traits >::matched_item_descriptor_t

Definition at line 52 of file pcre2_regex_engine.hpp.

## Constructor & Destructor Documentation

## matched_item_descriptor_t()

template<typename Traits >

restinio::router::pcre2_details::match_results_t< Traits >::matched_item_descriptor_t::matched_item_descriptor_t | ( | PCRE2_SIZE | begin,
|  | PCRE2_SIZE | end
| ) |  |

inline

Definition at line 54 of file pcre2_regex_engine.hpp.

## Member Data Documentation

## m_begin

template<typename Traits >

PCRE2_SIZE restinio::router::pcre2_details::match_results_t< Traits >::matched_item_descriptor_t::m_begin

Definition at line 61 of file pcre2_regex_engine.hpp.

## m_end

template<typename Traits >

PCRE2_SIZE restinio::router::pcre2_details::match_results_t< Traits >::matched_item_descriptor_t::m_end

Definition at line 62 of file pcre2_regex_engine.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/pcre2_regex_engine.hpp